Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Put Default Text on Command Line for getstring

9 REPLIES 9
SOLVED
Reply
Message 1 of 10
Prac_Slip_Kerm
2249 Views, 9 Replies

Put Default Text on Command Line for getstring

Hi All,

  I am trying to get a default value (from global variable) put as the default for getstring command. Problem is I want it as if I had typed it into the getstring command so I can modify it if required. It is for entering filenames which only change slightly ie 1129E09LS1 ...LS2 ...XS1 etc.

Any ideas???

 

Current Code:

(setq BlkName (getstring "\nEnter Civil Cad File to Import: "))

For defaults that I don't want to change I usually use this format:

(or BlkName (setq BlkName (getstring "\nEnter Civil Cad File to Import: ")))

 Thanks In Advance

 

Cheers
Steve 🙂
9 REPLIES 9
Message 2 of 10
_Tharwat
in reply to: Prac_Slip_Kerm

Maybe ..... change the [My File Name] to your needed one .

 

(if (eq (setq BlkName (getstring  "\nEnter Civil Cad File to Import [My File Name] : ")) "")
  (setq BlkName "My File Name"))

 

Message 3 of 10
pbejse
in reply to: _Tharwat

 

Play around with this one

 

(defun c:Test ()
 (setq BlkName (lisped (if (or (null BlkName)
                                      (numberp BlkName))
                                     "" (strcase BlkName))))
        )

 

 

 

Message 4 of 10
_Tharwat
in reply to: pbejse


@pbejse wrote:

 

Play around with this one

 

(defun c:Test ()
 (setq BlkName (lisped (if (or (null BlkName)
                                      (numberp BlkName))
                                     "" (strcase BlkName))))
        )

 

 

 


Hi pBe .

 

What's this lisped ?? You must have forgotten to add that sub-function  Smiley Wink

Message 5 of 10
pbejse
in reply to: _Tharwat


@_Tharwat wrote:

Hi pBe .

 

What's this lisped ?? You must have forgotten to add that sub-function  Smiley Wink


Did you try it?

 


 

Message 6 of 10
_Tharwat
in reply to: pbejse


@pbejse wrote:

@_Tharwat wrote:

Hi pBe .

 

What's this lisped ?? You must have forgotten to add that sub-function  Smiley Wink


Did you try it?

 


 


That's awesome . Smiley Very Happy

Message 7 of 10
Kent1Cooper
in reply to: pbejse


@pbejse wrote:

....

 (setq BlkName (lisped (if (or (null BlkName)
                                      (numberp BlkName))
                                     "" (strcase BlkName))))
        ) 


That is awesome, as _Tharwat said.  It is beyond my comprehension why a function like (lisped) would not be included in the AutoLISP Reference [it can't be that it's newer than my old version, because the function is present].  How is anyone supposed to know about it?

Kent Cooper, AIA
Message 8 of 10
Prac_Slip_Kerm
in reply to: pbejse

Thanks heaps pbejse!!!!

I ended up copying lisped out of acad.dcl and modifying it to suit my needs and using your code.

;Call DCL to display dialog with previous BlkName if it Exists
  (setq BlkName (CCIdcl
		  (if (or (null BlkName) (numberp BlkName));or
		    "" (strcase BlkName)
		  );if
		 );CCIdcl
  );setq 
  ;Check if BlkName /= ""
  (cond
    ((= "" BlkName)
      (princ "\n No Filename Entered - Function Cancelled")
    );Cond BlkName = ""
    ( T
      (progn
        ... Code to run here ...
      );progn
    );cond BlkName Exists
  );cond  

 lisped changed to CCIdcl, modified labels & removed mtext editor button

(defun CCIdcl (contents / fname dcl state)
  ;;;(if (not (setq fname (getvar "program")))
  (setq fname "BK-Std")
  ;;;)
  (strcat fname ".dcl")
  (setq dcl (load_dialog fname))
  (if (not (new_dialog "CCI" dcl)) (exit))
  (set_tile "contents" contents)
  (mode_tile "contents" 2)
  (action_tile "contents" "(setq contents $value)")
  (action_tile "accept" "(done_dialog 1)")
;;;  (action_tile "mtexted" "(done_dialog 2)" )
  (setq state (start_dialog))
  (unload_dialog dcl)
  (cond
    ((= state 1) contents)
    ((= state 2) -1)
    (t 0)
  );cond
);defun

 Thanks again for your help!

 

Cheers
Steve 🙂
Message 9 of 10
pbejse
in reply to: Prac_Slip_Kerm


@Prac_Slip_Kerm wrote:

Thanks heaps pbejse!!!!

,.....

 

 


You are welocme, glad i could help 

Keep on coding,

 

Cheers

Message 10 of 10
pbejse
in reply to: Kent1Cooper

Cool huh? Smiley Happy

 

One soruce is thru atoms-list function, when evaluating  an item you will get #<USUBR @161e3e24 LISPED> , and its unrecognizable  then you'll start to wonder what that is...the local search button on this forum or Mr. google will find it for you.

 

Most of the time i just jumped from one forum to another. Smiley Very Happy

 

Another source is  JTB World Undocumented section  or Manusoft

 

 

HTH

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost